Subject: Re: [PATCH] blame: remove parameter detailed in get_commit_info()

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Jul 2025 08:40:25 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Jul 28, 2025 at 11:55:48AM +0800, Han Young wrote:
>> The get_commit_info() function accepts a parameter that can be used to
>> stop the commit parsing early.
>> However, none of the callers use this feature, and testing proved that
>> the performance gain of stopping parsing early is negligible.

Is it negligible but measurable, or negligible and unmeasurable?

> Funny enough it doesn't seem like the `detailed` field was ever used.
> `get_commit_info()` was introduced all the way back in cee7f245dca
> (git-pickaxe: blame rewritten., 2006-10-19), and even back then all
> callers passed `1` as the `detailed` parameter.
>
> So this patch looks obviously correct to me, thanks!

I am all for simplifying.  It is great to see us lose more lines.

Thanks.